import { IContentProgressEvent } from '../../interfaces/vcs-uploading.interface';
import { Content } from '../../interfaces/UpstreamContent.interface';
import { ITokenHandler } from '../../modules/Token-handler/ITokenHandler';
import AuthService from '../../modules/interfaces/AuthService';
import { Socket } from 'socket.io-client';
export default class ContentClient {
    private apiUrl;
    private tokenHandler;
    private keyCloackClient;
    private request;
    private correlationId;
    constructor(apiUrl: string, tokenHandler: ITokenHandler, keyCloackClient: AuthService);
    get(params: {
        id: string;
    }): Promise<Content>;
    getByVersion(params: {
        id: string;
        version: string;
    }): Promise<Content>;
    getDownloadLink(id: string): Promise<any>;
    upload(filePath: string, id?: string, onProgressCallback?: (progress: number | string) => void): Promise<unknown>;
    establishConnection(): Promise<Socket<import("@socket.io/component-emitter").DefaultEventsMap, import("@socket.io/component-emitter").DefaultEventsMap>>;
    startTrackSocketsProgress(connection: Socket, onProgressCallback?: (progress: number | string) => void): Promise<IContentProgressEvent>;
    private setCorrelationId;
    protected getOnBundleUpdated(connection: Socket, resolve: (value: IContentProgressEvent | PromiseLike<IContentProgressEvent>) => void, reject: (reason?: any) => void, onProgressCallback?: (progress: number | string) => void): (item: IContentProgressEvent) => void;
}
